summaryrefslogtreecommitdiff
path: root/test/integration/test-dpkg-assert-multi-arch
diff options
context:
space:
mode:
authorDavid Kalnischkies <david@kalnischkies.de>2016-06-08 17:31:45 +0200
committerDavid Kalnischkies <david@kalnischkies.de>2016-06-08 17:31:45 +0200
commitb4450f1dd6bca537e60406b2383ab154a3e1485f (patch)
tree67ff0903b0dac59c1d307852e4768e63427e92ee /test/integration/test-dpkg-assert-multi-arch
parent007d8b488787f4c33ced5937f22f99f1b759088a (diff)
don't explicitly configure the last round of packages
We end our operation by calling "dpkg --configure -a", so instead of running a (big) configure run with all packages mentioned explicitly before this, we simply skip them and let them be handled by this call implicitly. There isn't really an observeable gain to be had here from a speed point, but it helps in avoiding an (uncommon) problem of having a too long commandline passed to dpkg, which we would split up (probably incorrectly).
Diffstat (limited to 'test/integration/test-dpkg-assert-multi-arch')
-rwxr-xr-xtest/integration/test-dpkg-assert-multi-arch9
1 files changed, 6 insertions, 3 deletions
diff --git a/test/integration/test-dpkg-assert-multi-arch b/test/integration/test-dpkg-assert-multi-arch
index f73c78935..14b29ec87 100755
--- a/test/integration/test-dpkg-assert-multi-arch
+++ b/test/integration/test-dpkg-assert-multi-arch
@@ -16,12 +16,15 @@ setupaptarchive
testqualifier() {
msgtest 'Test with' $1 'for correct qualifier mode' $2
- GIVEN="$(aptget install $1 -qq -o Debug::pkgDPkgPM=1 2>&1 | grep -v -- '--unpack' | sed -e 's/^.*--[^u][^ ]* \([^ ]*\).*$/\1/')"
+ #aptget install $1 -qq -o Debug::pkgDPkgPM=1 || true
+ aptget install $1 -qq -o Debug::pkgDPkgPM=1 -o Dpkg::ExplicitLastConfigure=1 > testqualifier.output 2>&1 || true
+ GIVEN="$(grep -v -- '--unpack' testqualifier.output | sed -e 's/^.*--[^u][^ ]* \([^ ]*\).*$/\1/')"
if [ "$GIVEN" = "$2" ]; then
msgpass
else
- echo
- echo "$GIVEN"
+ cat >&2 testqualifier.output
+ echo >&2
+ echo >&2 "$GIVEN"
msgfail
fi
}